Cloady Docs
API ReferenceEndpointsApplications

Change a notification channel

PATCH
/api/workspaces/{workspaceSlug}/apps/{appSlug}/channels/{channelId}
AuthorizationBearer <token>

Personal API token (cldy_…)

In: header

Path Parameters

workspaceSlug*string
appSlug*string
channelId*string

Query Parameters

env?string

Value in

  • "production"
  • "preview"
  • "development"
region?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/workspaces/string/apps/string/channels/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "channel": {    "id": "string",    "kind": "slack",    "name": "string",    "target": "string",    "enabled": true  }}